org.richfaces.taglib

## Class ColumnTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.ColumnTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class ColumnTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setBreakBefore(javax.el.ValueExpression __breakBefore)` if "true" next column begins from the first row Setter for breakBefore
    `void` | `setColspan(javax.el.ValueExpression __colspan)` Corresponds to the HTML colspan attribute Setter for colspan
    `void` | `setComparator(javax.el.ValueExpression __comparator)` Defines value binding to the comparator that is used to compare the values Setter for comparator
    `void` | `setFilterBy(javax.el.ValueExpression __filterBy)` Defines iterable object property which is used when filtering performed.
    `void` | `setFilterEvent(javax.el.ValueExpression __filterEvent)` Event for filter input that forces the filtration (default value is "onchange") Setter for filterEvent
    `void` | `setFilterExpression(javax.el.ValueExpression __filterExpression)` Attribute defines a bean property which is used for filtering of a column Setter for filterExpression
    `void` | `setFilterMethod(javax.el.MethodExpression __filterMethod)` This attribute is defined with method binding.
    `void` | `setFilterValue(javax.el.ValueExpression __filterValue)` Defines current filtering value Setter for filterValue
    `void` | `setFooterClass(javax.el.ValueExpression __footerClass)` Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
    `void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
    `void` | `setLabel(javax.el.ValueExpression __label)` Column label for drag indicator.
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRowspan(javax.el.ValueExpression __rowspan)` Corresponds to the HTML rowspan attribute Setter for rowspan
    `void` | `setSelfSorted(javax.el.ValueExpression __selfSorted)` Manages if the header of the column is clickable, icons rendered and sorting is fired after click on the header.
    `void` | `setSortable(javax.el.ValueExpression __sortable)` Boolean attribute.
    `void` | `setSortBy(javax.el.ValueExpression __sortBy)` Defines a bean property which is used for sorting of a column.
    `void` | `setSortExpression(javax.el.ValueExpression __sortExpression)` Defines a bean property which is used for sorting of a column and used only with &lt;rich:scrollableDataTable&gt;.
    `void` | `setSortIcon(javax.el.ValueExpression __sortIcon)` Defines sort icon.
    `void` | `setSortIconAscending(javax.el.ValueExpression __sortIconAscending)` Defines sort icon for ascending order.
    `void` | `setSortIconDescending(javax.el.ValueExpression __sortIconDescending)` Defines sort icon for descending order.
    `void` | `setSortOrder(javax.el.ValueExpression __sortOrder)` SortOrder is an enumeration of the possible sort orderings.
    `void` | `setVisible(javax.el.ValueExpression __visible)` The attribute is used to define whether the component is visible or not.
    `void` | `setWidth(javax.el.ValueExpression __width)` Attribute defines width of column.

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### ColumnTag

          public ColumnTag()

  - ### Method Detail

    - #### setBreakBefore

          public void setBreakBefore(javax.el.ValueExpression __breakBefore)

      if "true" next column begins from the first row Setter for breakBefore
      Parameters:
        `breakBefore` - - new value

    - #### setColspan

          public void setColspan(javax.el.ValueExpression __colspan)

      Corresponds to the HTML colspan attribute Setter for colspan
      Parameters:
        `colspan` - - new value

    - #### setComparator

          public void setComparator(javax.el.ValueExpression __comparator)

      Defines value binding to the comparator that is used to compare the values Setter for comparator
      Parameters:
        `comparator` - - new value

    - #### setFilterBy

          public void setFilterBy(javax.el.ValueExpression __filterBy)

      Defines iterable object property which is used when filtering performed. Setter for filterBy
      Parameters:
        `filterBy` - - new value

    - #### setFilterEvent

          public void setFilterEvent(javax.el.ValueExpression __filterEvent)

      Event for filter input that forces the filtration (default value is "onchange") Setter for filterEvent
      Parameters:
        `filterEvent` - - new value

    - #### setFilterExpression

          public void setFilterExpression(javax.el.ValueExpression __filterExpression)

      Attribute defines a bean property which is used for filtering of a column Setter for filterExpression
      Parameters:
        `filterExpression` - - new value

    - #### setFilterMethod

          public void setFilterMethod(javax.el.MethodExpression __filterMethod)

      This attribute is defined with method binding. This method accepts on Object parameter and return boolean value Setter for filterMethod
      Parameters:
        `filterMethod` - - new value

    - #### setFilterValue

          public void setFilterValue(javax.el.ValueExpression __filterValue)

      Defines current filtering value Setter for filterValue
      Parameters:
        `filterValue` - - new value

    - #### setFooterClass

          public void setFooterClass(javax.el.ValueExpression __footerClass)

      Space-separated list of CSS style class(es) that are be applied to any footer generated for this table Setter for footerClass
      Parameters:
        `footerClass` - - new value

    - #### setHeaderClass

          public void setHeaderClass(javax.el.ValueExpression __headerClass)

      Space-separated list of CSS style class(es) that are be applied to any header generated for this table Setter for headerClass
      Parameters:
        `headerClass` - - new value

    - #### setLabel

          public void setLabel(javax.el.ValueExpression __label)

      Column label for drag indicator. Usable only for extendedDataTable component Setter for label
      Parameters:
        `label` - - new value

    - #### setRowspan

          public void setRowspan(javax.el.ValueExpression __rowspan)

      Corresponds to the HTML rowspan attribute Setter for rowspan
      Parameters:
        `rowspan` - - new value

    - #### setSelfSorted

          public void setSelfSorted(javax.el.ValueExpression __selfSorted)

      Manages if the header of the column is clickable, icons rendered and sorting is fired after click on the header. You need to define this attribute inside &lt;rich:dataTable&gt; component. Default value is "true" Setter for selfSorted
      Parameters:
        `selfSorted` - - new value

    - #### setSortBy

          public void setSortBy(javax.el.ValueExpression __sortBy)

      Defines a bean property which is used for sorting of a column. This attribute used with &lt;rich:dataTable&gt; Setter for sortBy
      Parameters:
        `sortBy` - - new value

    - #### setSortExpression

          public void setSortExpression(javax.el.ValueExpression __sortExpression)

      Defines a bean property which is used for sorting of a column and used only with &lt;rich:scrollableDataTable&gt;. Setter for sortExpression
      Parameters:
        `sortExpression` - - new value

    - #### setSortIcon

          public void setSortIcon(javax.el.ValueExpression __sortIcon)

      Defines sort icon. The value for the attribute is context related. Setter for sortIcon
      Parameters:
        `sortIcon` - - new value

    - #### setSortIconAscending

          public void setSortIconAscending(javax.el.ValueExpression __sortIconAscending)

      Defines sort icon for ascending order. The value for the attribute is context related. Setter for sortIconAscending
      Parameters:
        `sortIconAscending` - - new value

    - #### setSortIconDescending

          public void setSortIconDescending(javax.el.ValueExpression __sortIconDescending)

      Defines sort icon for descending order. The value for the attribute is context related. Setter for sortIconDescending
      Parameters:
        `sortIconDescending` - - new value

    - #### setSortOrder

          public void setSortOrder(javax.el.ValueExpression __sortOrder)

      SortOrder is an enumeration of the possible sort orderings. Default value is "UNSORTED" Setter for sortOrder
      Parameters:
        `sortOrder` - - new value

    - #### setSortable

          public void setSortable(javax.el.ValueExpression __sortable)

      Boolean attribute. If "true" it's possible to sort the column content after click on the header. Default value is "true" Setter for sortable
      Parameters:
        `sortable` - - new value

    - #### setVisible

          public void setVisible(javax.el.ValueExpression __visible)

      The attribute is used to define whether the component is visible or not. The default value is "true". Setter for visible
      Parameters:
        `visible` - - new value

    - #### setWidth

          public void setWidth(javax.el.ValueExpression __width)

      Attribute defines width of column. Setter for width
      Parameters:
        `width` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2013. All Rights Reserved.